import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from 'free-midway-component';
@modelOptions({
  schemaOptions: { collection: 'arrange' },
})
export class Arrange extends BaseModel {
  @prop({ required: false, index: false, zh: '日期' })
  date: string;
  @prop({ required: false, index: false, zh: '安排', remark: 'key为:breakfast,lunch,dinner.再将菜品以数组的形式最为value' })
  arrange: object;
  @prop({ required: false, index: false, zh: '备注' })
  remark: string;
}
