import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from 'free-midway-component';
@modelOptions({
  schemaOptions: { collection: 'rate' },
})
export class Rate extends BaseModel {
  @prop({ required: true, index: true, zh: '菜品id', ref: '' })
  menu_id: string;
  @prop({ required: true, index: false, zh: '用户id' })
  openid: string;
  @prop({ required: false, index: false, zh: '评价分数', remark: '1-5分', default: '5' })
  score: number;
  @prop({ required: false, index: false, zh: '评价内容' })
  content: string;
}
