import { Provide } from '@midwayjs/decorator';
import { InjectEntityModel } from '@midwayjs/typegoose';
import { ReturnModelType } from '@typegoose/typegoose';
import { BaseService } from 'free-midway-component';
import { Arrange } from '../../entity/dining/arrange.entity';
type modelType = ReturnModelType<typeof Arrange>;
@Provide()
export class ArrangeService extends BaseService<modelType> {
  @InjectEntityModel(Arrange)
  model: modelType;
}