import { Provide } from '@midwayjs/decorator';
import { InjectEntityModel } from '@midwayjs/typegoose';
import { ReturnModelType } from '@typegoose/typegoose';
import { BaseService } from 'free-midway-component';
import { News } from '../../entity/others/news.entity';
type modelType = ReturnModelType<typeof News>;
@Provide()
export class NewsService extends BaseService<modelType> {
  @InjectEntityModel(News)
  model: modelType;
}