import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from 'free-midway-component';
@modelOptions({
  schemaOptions: { collection: 'menu' },
})
export class Menu extends BaseModel {
  @prop({ required: false, index: true, zh: '名称' })
  name: string;
  @prop({ required: false, index: false, zh: '参数列表' })
  params: Array<any>;
  @prop({ required: false, index: false, zh: '已点数量', remark: '需要在订单结束后,累加', default: '0' })
  order: number;
  @prop({ required: false, index: false, zh: '图片' })
  img: Array<any>;
  @prop({ required: false, index: false, zh: '介绍' })
  content: string;
  @prop({ required: false, index: false, zh: '卡路里', remark: '单位:大卡' })
  reserve: number;
  @prop({ required: false, index: false, zh: '是否使用', default: '0' })
  is_use: string;
  @prop({ required: false, index: false, zh: '备注' })
  remark: string;
}
