import { Provide } from '@midwayjs/decorator';
import { InjectEntityModel } from '@midwayjs/typegoose';
import { ReturnModelType } from '@typegoose/typegoose';
import { BaseService } from 'free-midway-component';
import { Menu } from '../../entity/dining/menu.entity';
type modelType = ReturnModelType<typeof Menu>;
@Provide()
export class MenuService extends BaseService<modelType> {
  @InjectEntityModel(Menu)
  model: modelType;
}